import { Locale } from 'date-fns';
/**
 * Represents a week in the month.
 */
export declare type MonthWeek = {
    /** The week number from the start of the year. */
    weekNumber: number;
    /** The dates in the week. */
    dates: Date[];
};
/**
 * Return the weeks belonging to the given month.
 */
export declare function getWeeks(month: Date, { locale, fixedWeeks }: {
    locale: Locale;
    fixedWeeks?: boolean;
}): MonthWeek[];
