import * as React from 'react';
import { FocusContext } from './FocusContext.js';

/** Hook to access the [[FocusContext]]. */
function useFocus() {
    var context = React.useContext(FocusContext);
    if (!context) {
        throw new Error('useFocus must be used within a FocusProvider');
    }
    return context;
}

export { useFocus };
//# sourceMappingURL=useFocus.js.map
