import * as React from 'react';
import { NavigationContext } from './NavigationContext.js';

/** Hook to access the [[NavigationContext]]. */
function useNavigation() {
    var context = React.useContext(NavigationContext);
    if (!context) {
        throw new Error('useNavigation must be used within a NavigationProvider');
    }
    return context;
}

export { useNavigation };
//# sourceMappingURL=useNavigation.js.map
