import * as React from 'react';
import { SelectSingleContext } from './SelectSingleContext.js';

/** Hook to access the [[SelectSingleContext]]. */
function useSelectSingle() {
    var context = React.useContext(SelectSingleContext);
    if (!context) {
        throw new Error('useSelectSingle must be used within a SelectSingleProvider');
    }
    return context;
}

export { useSelectSingle };
//# sourceMappingURL=useSelectSingle.js.map
